Explore our Marketplace to buy and sell APIs, services, and social media solutions. Connect with a vibrant community of developers, businesses, and creators!
{
"video_id": "dQw4w9WgXcQ",
"captions": [
{ "language_code": "en", "language_name": "English" },
{ "language_code": "ja", "language_name": "Japanese" }
]
}{
"video_id": "dQw4w9WgXcQ",
"status": "processing",
"job_id": "123e4567-e89b-12d3-a456-426614174000"
}status="processing" 时,用 job_id 调用 /get_video_captions_result 取最终字幕{
"video_id": "dQw4w9WgXcQ",
"captions": [],
"message": "No transcript is available for this video",
"message_zh": "该视频没有可用字幕"
}/get_video_captions_result 轮询获取结果{
"video_id": "dQw4w9WgXcQ",
"captions": [
{ "language_code": "en", "language_name": "English" },
{ "language_code": "ja", "language_name": "Japanese" }
]
}{
"video_id": "dQw4w9WgXcQ",
"status": "processing",
"job_id": "123e4567-e89b-12d3-a456-426614174000"
}status="processing" is returned, poll /get_video_captions_resultjob_id to retrieve the final captions{
"video_id": "dQw4w9WgXcQ",
"captions": [],
"message": "No transcript is available for this video",
"message_zh": "该视频没有可用字幕"
}/get_video_captions_result for the resultAuthorization: Bearer ********************curl --location 'https://api.tikhub.io/api/v1/youtube/web_v2/get_video_captions?video_id=dQw4w9WgXcQ&video_url=https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DdQw4w9WgXcQ&language_code=en&format=srt' \
--header 'Authorization: Bearer <token>'{
"code": 200,
"request_id": "string",
"message": "Request successful. This request will incur a charge.",
"message_zh": "请求成功,本次请求将被计费。",
"support": "Discord: https://discord.gg/aMEAS8Xsvz",
"time": "string",
"time_stamp": 0,
"time_zone": "America/Los_Angeles",
"docs": "string",
"cache_message": "string",
"cache_message_zh": "string",
"cache_url": "string",
"router": "",
"params": {},
"data": null
}